jQuery(document).ready(function ($) {
    
    $('.single_add_to_cart_button:not(.disabled)').click(function(){
        $(this).addClass('loading');
    });
    
    if($('#tmt-notice > div').hasClass('woocommerce-message')) {
        $("html, body").animate({ scrollTop: $('#tmt-notice').offset().top - 200}, 1000);
    }

});